package org.apache.turbine.om;

/*
 * Copyright 2001-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License")
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * This interface marks a class that has a retrieve(String) method.
 *
 * @author <a href="mailto:jmcnally@collab.net">John D. McNally</a>
 * @version $Id: Retriever.java 264148 2005-08-29 14:21:04Z henning $
 */
public interface Retriever
{
    /**
     * Gets an object of the same type as the object implementing
     * this method according to the key.
     *
     * @return the object that matches the key
     */
    Object retrieve(String key)
        throws Exception;
}
